#include "../../include/package.h"
#include "../../include/error.h"
#include "../../include/types.h"
#include "../../include/mptp.h"

#include <strings.h>
#include <stdlib.h>

lm_pkg_t *lm_package_new(){
  lm_pkg_t *pkg = malloc(sizeof(lm_pkg_t));
  lm_package_init(pkg);
  return pkg;
}

void lm_package_init(lm_pkg_t *pkg){
  bzero(pkg, sizeof(lm_pkg_t));
}

void lm_package_free(lm_pkg_t *pkg){
  lm_package_data_free(pkg);
  bzero(pkg, sizeof(lm_pkg_t));
}
